Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Add ruby2 support and maintain ruby 1.9 compatibility

  • Loading branch information...
commit c8c49ccb7a04026dc1e720bb84fb4ba7dc77b9e8 1 parent 4815d2c
@steveyken steveyken authored
Showing with 2 additions and 2 deletions.
  1. +1 −0  .travis.yml
  2. +0 −1  Gemfile.lock
  3. +1 −1  fat_free_crm.gemspec
View
1  .travis.yml
@@ -1,6 +1,7 @@
language: ruby
rvm:
- 1.9.3
+ - 2.0.0
env:
- DB=mysql
View
1  Gemfile.lock
@@ -339,7 +339,6 @@ DEPENDENCIES
premailer
prototype-rails
pry-rails
- psych (~> 1)
quiet_assets
rails (~> 3.2.12)
rails3-jquery-autocomplete
View
2  fat_free_crm.gemspec
@@ -39,7 +39,7 @@ Gem::Specification.new do |gem|
gem.add_dependency 'responds_to_parent', '>= 1.1.0'
gem.add_dependency 'rails3-jquery-autocomplete'
gem.add_dependency 'valium'
- gem.add_dependency 'psych', '~> 1'
+ gem.add_dependency 'psych', '~> 1' if RUBY_VERSION.to_f < 2.0
# FatFreeCRM has released it's own versions of the following gems:
#-----------------------------------------------------------------
Please sign in to comment.
Something went wrong with that request. Please try again.